Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.xml.dom
[Java] Class DOMCategory

    java.lang.Object
      groovy.xml.dom.DOMCategory

    public class DOMCategory
    extends Object

Authors:
  sam
  paulk

Method Summary
`static org.w3c.dom.Element` | `appendNode(org.w3c.dom.Element self, Object name)`
`static org.w3c.dom.Element` | `appendNode(org.w3c.dom.Element self, Object name, Map attributes)`
`static org.w3c.dom.Element` | `appendNode(org.w3c.dom.Element self, Object name, String value)`
`static org.w3c.dom.Element` | `appendNode(org.w3c.dom.Element self, Object name, Map attributes, String value)`
`static org.w3c.dom.NamedNodeMap` | `attributes(org.w3c.dom.Element element)`
`static NodeList` | `breadthFirst(org.w3c.dom.Element self)`
`static NodeList` | `children(org.w3c.dom.Element self)`
`static NodeList` | `depthFirst(org.w3c.dom.Element self)`
`static Object` | `get(org.w3c.dom.Element element, String elementName)`
`static Object` | `get(NodeList nodeList, String elementName)`
`static Object` | `get(org.w3c.dom.NamedNodeMap nodeMap, String elementName)`
`static Node` | `getAt(Node o, int i)`
`static Node` | `getAt(DOMCategory.NodeListsHolder o, int i)`
`static Node` | `getAt(DOMCategory.NodesHolder o, int i)`
`static NodeList` | `getAt(Node o, IntRange r)`
`static NodeList` | `getAt(DOMCategory.NodeListsHolder o, IntRange r)`
`static NodeList` | `getAt(DOMCategory.NodesHolder o, IntRange r)`
`static boolean` | `isEmpty(NodeList self)`
`static List` | `list(NodeList self)`
`static String` | `name(org.w3c.dom.Element element)`
`static Node` | `parent(Node node)`
`static void` | `plus(org.w3c.dom.Element self, Closure c)`
`static void` | `plus(NodeList self, Closure c)`
`static void` | `putAt(org.w3c.dom.Element self, String property, Object value)`
`static org.w3c.dom.Element` | `replaceNode(DOMCategory.NodesHolder self, Closure c)`
`static org.w3c.dom.Element` | `replaceNode(org.w3c.dom.Element self, Closure c)`
`static void` | `setValue(org.w3c.dom.Element self, String value)`
`static int` | `size(org.w3c.dom.NamedNodeMap namedNodeMap)`
`static int` | `size(NodeList self)`
`static String` | `text(Node node)`
`static String` | `text(NodeList nodeList)`
`static String` | `toString(Object o)`
`static Object` | `xpath(Node self, String expression, def returnType)`
`static String` | `xpath(Node self, String expression)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### appendNode

    public static org.w3c.dom.Element appendNode(org.w3c.dom.Element self, Object name)

### appendNode

    public static org.w3c.dom.Element appendNode(org.w3c.dom.Element self, Object name, Map attributes)

### appendNode

    public static org.w3c.dom.Element appendNode(org.w3c.dom.Element self, Object name, String value)

### appendNode

    public static org.w3c.dom.Element appendNode(org.w3c.dom.Element self, Object name, Map attributes, String value)

### attributes

    public static org.w3c.dom.NamedNodeMap attributes(org.w3c.dom.Element element)

### breadthFirst

    public static NodeList breadthFirst(org.w3c.dom.Element self)

### children

    public static NodeList children(org.w3c.dom.Element self)

### depthFirst

    public static NodeList depthFirst(org.w3c.dom.Element self)

### get

    public static Object get(org.w3c.dom.Element element, String elementName)

### get

    public static Object get(NodeList nodeList, String elementName)

### get

    public static Object get(org.w3c.dom.NamedNodeMap nodeMap, String elementName)

### getAt

    public static Node getAt(Node o, int i)

### getAt

    public static Node getAt(DOMCategory.NodeListsHolder o, int i)

### getAt

    public static Node getAt(DOMCategory.NodesHolder o, int i)

### getAt

    public static NodeList getAt(Node o, IntRange r)

### getAt

    public static NodeList getAt(DOMCategory.NodeListsHolder o, IntRange r)

### getAt

    public static NodeList getAt(DOMCategory.NodesHolder o, IntRange r)

### isEmpty

    public static boolean isEmpty(NodeList self)

### list

    public static List list(NodeList self)

### name

    public static String name(org.w3c.dom.Element element)

### parent

    public static Node parent(Node node)

### plus

    public static void plus(org.w3c.dom.Element self, Closure c)

### plus

    public static void plus(NodeList self, Closure c)

### putAt

    public static void putAt(org.w3c.dom.Element self, String property, Object value)

### replaceNode

    public static org.w3c.dom.Element replaceNode(DOMCategory.NodesHolder self, Closure c)

### replaceNode

    public static org.w3c.dom.Element replaceNode(org.w3c.dom.Element self, Closure c)

### setValue

    public static void setValue(org.w3c.dom.Element self, String value)

### size

    public static int size(org.w3c.dom.NamedNodeMap namedNodeMap)

### size

    public static int size(NodeList self)

### text

    public static String text(Node node)

### text

    public static String text(NodeList nodeList)

### toString

    public static String toString(Object o)

### xpath

    public static Object xpath(Node self, String expression, def returnType)

### xpath

    public static String xpath(Node self, String expression)

Copyright © 2003-2010 The Codehaus. All rights reserved.